<nav>
    <div class="nav-wrapper container">
        <img class="logo" src="assets/img/bursapp.png">
        <ul *ngIf="!loggedIn" class="right hide-on-med-and-down">
            <!-- <ul id="nav-mobile" class="right hide-on-med-and-down"> -->

            <!-- NOTE: We can't use the same mechanism as in the other
                 (non-within-page, non-fragments) as there's a current
                 issue for that: https://github.com/angular/angular/issues/13205
               -->
            <li [class.active]="isSectionActive('inicio')">
                <a routerLink="/sitio" fragment="inicio">Inicio</a>
            </li>
            <li [class.active]="isSectionActive('invierte')">
                <a routerLink="/sitio" fragment="invierte">Invierte</a>
            </li>
            <li [class.active]="isSectionActive('contacto')">
                <a routerLink="/sitio" fragment="contacto">Contacto</a>
            </li>

            <li routerLinkActive="active">
                <a routerLink="/como-funciona">Cómo funciona</a>
            </li>
            <li routerLinkActive="active">
                <a routerLink="/iniciar-sesion">Iniciar sesión</a>
            </li>
            <li routerLinkActive="active">
                <a routerLink="/abrir-cuenta"
                   class="waves-effect waves-light btn attention-button">
                    Abrir cuenta
                </a>
            </li>
        </ul>
        <ul *ngIf="loggedIn" class="right hide-on-med-and-down">
            <!-- <ul id="nav-mobile" class="right hide-on-med-and-down"> -->
            <li routerLinkActive="active">
                <a routerLink="/inversiones">Inversiones</a>
            </li>
            <li routerLinkActive="active">
                <a routerLink="/perfil">Perfil</a>
            </li>
            <li routerLinkActive="active">
                <a routerLink="/ayuda">Ayuda</a>
            </li>
            <li *ngIf="currentUserIsAdmin()" routerLinkActive="active">
                <a routerLink="/admin">Admin</a>
            </li>
            <li>
                <a (click)="logout()">Salir</a>
            </li>
            <li routerLinkActive="active">
                <a routerLink="/nueva-inversion"
                   class="waves-effect waves-light btn attention-button">
                    Nueva inversión
                </a>
            </li>
        </ul>
    </div>
</nav>

<div class="container">
    <router-outlet></router-outlet>
</div>
